# Class UnknownHostException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.net.UnknownHostException

All Implemented Interfaces:
  `Serializable`

public class UnknownHostException extends IOException
Thrown to indicate that the IP address of a host could not be determined.

Since:
  1.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnknownHostException()`
Constructs a new `UnknownHostException` with no detail message.
`UnknownHostException(String message)`
Constructs a new `UnknownHostException` with the specified detail message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnknownHostException

public UnknownHostException(String message)
Constructs a new `UnknownHostException` with the specified detail message.

Parameters:
  `message` - the detail message.

### UnknownHostException

public UnknownHostException()
Constructs a new `UnknownHostException` with no detail message.